package com.it;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.it.bean.Course;
import com.it.bean.Discipline;
import com.it.service.CourseService;
import com.it.service.DisciplineService;
import com.it.service.impl.CourseServiceImpl;
import com.it.service.impl.DisciplineServiceImpl;

public class test {
	public static void main(String[] args) {
		try {
			CourseService courseService = new CourseServiceImpl();
			DisciplineService disciplineService = new DisciplineServiceImpl();

			List<Course> courseList = courseService.findAll();
			List<Discipline> disciplineList =  disciplineService.findAll();
			
			Map<String,List<Course>> courseMap = new HashMap<String,List<Course>>();
			
			for(int i = 0;i < disciplineList.size();i++)
			{
				List<Course> t_courseList = new ArrayList<Course>();
				
				for(int j = 0;j < courseList.size();j++)
				{
					if(courseList.get(j).getDiscipline_name().equals(disciplineList.get(i).getDiscipline_name()))
					{
						t_courseList.add(courseList.get(j));
					}
				}
				
				courseMap.put(disciplineList.get(i).getDiscipline_name(),t_courseList);
			}
			
			List<Course> list = courseMap.get("理学");
			for(Course c : list){
				System.out.println(c.getCourse_name());
			}
			
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
